org.bdgenomics.adam.rdd.read

# AnySAMOutFormatter

###
Related Doc: package read

#### case class AnySAMOutFormatter(stringency: ValidationStringency) extends OutFormatter[AlignmentRecord] with Product with Serializable

An OutFormatter that automatically infers whether the piped input is SAM or BAM. Autodetecting streamed CRAM is not currently supported.

Linear Supertypes
Product, Equals, OutFormatter[AlignmentRecord], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AnySAMOutFormatter
2. Product
3. Equals
4. OutFormatter
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AnySAMOutFormatter()

2. #### new AnySAMOutFormatter(stringency: ValidationStringency)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

9. #### final def isInstanceOf[T0]: Boolean

   Definition Classes
     Any

10. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### final def notify(): Unit

    Definition Classes
      AnyRef

12. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

13. #### def read(is: InputStream): Iterator[AlignmentRecord]

    Reads alignment records from an input stream.

    Reads alignment records from an input stream. Autodetects SAM/BAM format.

    is

      An InputStream connected to a process we are piping from.

    returns

      Returns an iterator of AlignmentRecords read from the stream.

    Definition Classes
      AnySAMOutFormatter → OutFormatter

14. #### val stringency: ValidationStringency

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from OutFormatter[AlignmentRecord]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped